java.util

## Interface Observer

-     public interface Observer

  A class can implement the `Observer` interface when it wants to be informed of changes in observable objects.
  Since:
    JDK1.0
  See Also:
    `Observable`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(Observable o, Object arg)` This method is called whenever the observed object is changed.

- - ### Method Detail

    - #### update

          void update(Observable o,
                    Object arg)

      This method is called whenever the observed object is changed. An application calls an `Observable` object's `notifyObservers` method to have all the object's observers notified of the change.
      Parameters:
        `o` - the observable object.
        `arg` - an argument passed to the `notifyObservers` method.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.